import React, { Component } from "react";
import { Platform, Image, requireNativeComponent } from "react-native";
import { MODES } from "./typedefs";
class FLAnimatedImage extends Component {
    render() {
        if (Platform.OS === "android")
            return <Image {...this.props}/>;
        const contentMode = MODES[this.props.resizeMode];
        const source = Image.resolveAssetSource(this.props.source) || {
            uri: undefined,
            width: undefined,
            height: undefined
        };
        const src = source.uri;
        return (<RNFLAnimatedImage {...this.props} src={src} contentMode={contentMode}/>);
    }
}
FLAnimatedImage.defaultProps = {
    resizeMode: "contain"
};
const RNFLAnimatedImage = requireNativeComponent("RNFLAnimatedImage");
export default FLAnimatedImage;
//# sourceMappingURL=FLAnimatedImage.jsx.map